<?php

$num_posts = get_field('block_number_of_case_studies');
$selected_posts = get_field('block_selected_case_studies');

$args = array(
    'post_type'         => 'case-study',
    'posts_per_page'    => $num_posts,
    'post__in'          => $selected_posts,
    'orderby'           => 'post__in',
);

$case_studies = new WP_Query($args);

if($case_studies->have_posts()) { ?>

    <div class="posts-loop case-studies custom-block">

        <?php while($case_studies->have_posts()) {
            $case_studies->the_post();
            get_template_part( 'template-parts/posts/post', 'preview');
            
        } ?>

    </div>
    
<?php } 
wp_reset_postdata(); ?>