<?php

$num_posts = get_field('block_number_of_events');
$selected_posts = get_field('block_selected_events');

$args = array(
    'post_type'         => 'event',
    'posts_per_page'    => $num_posts,
    'post__in'          => $selected_posts,
    'orderby'           => 'post__in',
);

$events = new WP_Query($args);

if($events->have_posts()) { ?>

    <div class="posts-loop events custom-block">

        <?php while($events->have_posts()) {
            $events->the_post();
            get_template_part( 'template-parts/events/event', 'preview');
            
        } ?>

    </div>
    
<?php } 
wp_reset_postdata(); ?>